#include <mysql.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include "dbconnect.h"

void db_error(char *query) {
	FILE		*ferr;
	time_t		t;
	struct tm	*lt;
	char		s[32];

	printf("%s\n%i: %s\n", query, mysql_errno(mysql_handle), mysql_error(mysql_handle));
}


void db_connect(char *db) {
	if(!(mysql_handle = mysql_init(NULL))) {
		printf("Error: mysql_init failed\n");
		exit(0);
	}
	if(!db) strcpy(db, "drift");
	if(!(mysql_real_connect(mysql_handle, DB_HOST, DB_USER, DB_PASS, db, mysql_port, NULL, 0))) {
		printf("Error: could not connect to mysql server\n");
		exit(0);
	}
}

void db_close() {
	mysql_close(mysql_handle);
}

MYSQL_RES *db_select(char *query) {
	MYSQL_RES	*res;

	if(!mysql_real_query(mysql_handle, query, strlen(query))) {
		if(res = mysql_store_result(mysql_handle)) {
			return res;
		}
	}
	db_error(query);
	return NULL;
}

void db_insert(char *query) {
	MYSQL_RES	*res;

	if(mysql_real_query(mysql_handle, query, strlen(query))) {
		db_error(query);
	}
}

